import { INoteTextHighlightInfo } from '../Note/type';
interface IParseProps {
    template: string;
    list?: INoteTextHighlightInfo[];
    customAttr?: string;
    customTag?: string;
}
export interface iAttr {
    value: string;
    name: string;
}
export interface IAstText {
    parent?: IAstElement;
    content: string;
    type: 'text';
    [x: string]: any;
}
export interface IAstElement {
    type: 'element';
    tagName: string;
    parent: IAstElement | null;
    attributes: iAttr[];
    children: iAst;
    [x: string]: any;
}
export declare type IAstItem = IAstElement | IAstText;
export declare type iAst = IAstItem[];
declare class Parse {
    template: string;
    ast: (IAstElement | IAstText)[];
    custom: {
        [x: string]: string;
    };
    constructor(props: IParseProps);
    getJSON(list?: INoteTextHighlightInfo[]): iAst;
}
export default Parse;
